Subject: Linux SACK - lost retransmission detection

From: "Richard Scheffenegger" <[email-masked]>
Date: Tue, 21 Dec 2010 11:42:52 +0100

Hi,

One more, generic, question:

I found that Linux added SACK with kernel version 2.1.91, but I wasn’t able to track down when lost retransmission detection (LRD) was added. The only research paper I found which appears to describe approximately what linux does is from an Korean researcher, who claims to have not contributed any code to the linux kernel. Do you happen to have more pointers?

I’m currently looking into ways of how to make lost retransmissions detection work also at end-of-stream (alleviating RTOs even with small windows at least partially).

Best regards,
   Richard
-- 
Neu: GMX De-Mail - Einfach wie E-Mail, sicher wie ein Brief!  
Jetzt De-Mail-Adresse reservieren: http://portal.gmx.net/de/go/demail